"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var common_1 = require("../../common");
var format_currency_1 = require("../format-currency");
describe('Format currency', function () {
    it('Renders the formated string version of the input currency amount', function () {
        var currency = 'USD';
        var amount = 100;
        var result = format_currency_1.formatCurrency(amount, currency, common_1.NumberFormat.Comma);
        expect(result).toEqual('$100.00');
    });
    it('Renders the eur format if incorrect currency', function () {
        var currency = 'Baltus';
        var amount = 100;
        var result = format_currency_1.formatCurrency(amount, currency, common_1.NumberFormat.Dot);
        expect(result).toEqual('€100,00');
    });
    it('Renders the eur format if no params', function () {
        var amount = 100;
        var result = format_currency_1.formatCurrency(amount);
        expect(result).toEqual('€100,00');
    });
});
//# sourceMappingURL=format-currency.test.js.map