"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var common_1 = require("../../common");
var format_number_1 = require("../format-number");
describe('Format number', function () {
    it('Renders the comma seperated number version of the input string', function () {
        var testString = 100;
        var result = format_number_1.formatNumber(testString, 2, common_1.NumberFormat.Dot);
        expect(result).toEqual('100,00');
    });
    it('Renders the dot seperated number version of the input string', function () {
        var testString = 100;
        var result = format_number_1.formatNumber(testString, 2, common_1.NumberFormat.Comma);
        expect(result).toEqual('100.00');
    });
    it('Renders the space seperated number version of the input string', function () {
        var testString = 1000;
        var result = format_number_1.formatNumber(testString, 2, common_1.NumberFormat.Space);
        expect(result).toEqual('1 000,00');
    });
    it('Renders the apostrophe seperated number version of the input string', function () {
        var testString = 1000;
        var result = format_number_1.formatNumber(testString, 2, common_1.NumberFormat.Apostrophe);
        expect(result).toEqual("1'000.00");
    });
});
//# sourceMappingURL=format-number.test.js.map