"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var number_format_1 = require("../../common/models/types/number-format");
var unformat_currency_1 = require("../unformat-currency");
describe('Unformat currency', function () {
    var testCases = [
        {
            input: '$100,00',
            expected: 100,
            numberFormat: number_format_1.NumberFormat.Dot,
        },
        {
            input: '$ 100,00',
            expected: 100,
            numberFormat: number_format_1.NumberFormat.Dot,
        },
        {
            input: '100,00$',
            expected: 100,
            numberFormat: number_format_1.NumberFormat.Dot,
        },
        {
            input: '100,00 $',
            expected: 100,
            numberFormat: number_format_1.NumberFormat.Dot,
        },
        {
            input: '100,00',
            expected: 100,
            numberFormat: number_format_1.NumberFormat.Dot,
        },
        {
            input: '$100.00',
            expected: 100,
            numberFormat: number_format_1.NumberFormat.Comma,
        },
        {
            input: '-$100.00',
            expected: -100,
            numberFormat: number_format_1.NumberFormat.Comma,
        },
    ];
    testCases.forEach(function (_a) {
        var input = _a.input, expected = _a.expected, numberFormat = _a.numberFormat;
        it("Renders the unformated number version of the input currency string: " + input, function () {
            var result = unformat_currency_1.unformatCurrency(input, numberFormat);
            expect(result).toEqual(expected);
        });
    });
});
//# sourceMappingURL=unformat-currency.test.js.map