"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatDistance = void 0;
var format_number_1 = require("./format-number");
var common_1 = require("../common");
function formatDistance(input, distance, symbol, precision, numberFormat) {
    if (symbol === void 0) { symbol = true; }
    if (precision === void 0) { precision = 2; }
    if (numberFormat === void 0) { numberFormat = common_1.NumberFormat.Dot; }
    var converted;
    if (distance === 'mi') {
        converted = input * 0.000621371192;
    }
    else {
        converted = input / 1000;
    }
    var formatted = format_number_1.formatNumber(converted, precision, numberFormat);
    if (!symbol) {
        return formatted;
    }
    return distance === 'km' ? formatted + " KM" : formatted + " mi";
}
exports.formatDistance = formatDistance;
//# sourceMappingURL=format-distance.js.map