"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatDuration = void 0;
var format_number_1 = require("./format-number");
var number_format_1 = require("../common/models/types/number-format");
var SECONDS_IN_HOUR = 3600;
var SECONDS_IN_MINUTE = 60;
var formatDuration = function (seconds, format, decimalFormat) {
    if (format === void 0) { format = 'HH:mm'; }
    if (decimalFormat === void 0) { decimalFormat = number_format_1.NumberFormat.Dot; }
    if (typeof seconds !== 'number' || isNaN(seconds)) {
        seconds = 0;
    }
    var time = '';
    var isNegative = false;
    if (seconds < 0) {
        isNegative = true;
        seconds = Math.abs(seconds);
    }
    if (format === 'HH:mm:ss' || format === 'HH:mm') {
        var hour = Math.floor(seconds / SECONDS_IN_HOUR);
        var minute = seconds / SECONDS_IN_MINUTE - hour * 60;
        var roundedMinute = Math.floor(minute);
        var formatedHour = hour < 10 ? "0" + hour : hour;
        var formatedMinute = roundedMinute < 10 ? "0" + roundedMinute : roundedMinute;
        time = formatedHour + ":" + formatedMinute;
        if (format === 'HH:mm:ss') {
            var remainingSeconds = seconds - hour * SECONDS_IN_HOUR - roundedMinute * SECONDS_IN_MINUTE;
            var formatedSeconds = remainingSeconds < 10 ? "0" + remainingSeconds : remainingSeconds;
            time = time + ":" + formatedSeconds;
        }
    }
    else if (format === 'decimal') {
        time = format_number_1.formatNumber(seconds / SECONDS_IN_HOUR, 2, decimalFormat);
    }
    if (isNegative) {
        time = "-" + time;
    }
    return time;
};
exports.formatDuration = formatDuration;
//# sourceMappingURL=format-duration.js.map