"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatNumber = void 0;
var tslib_1 = require("tslib");
var accounting_1 = tslib_1.__importDefault(require("accounting"));
var common_1 = require("../common");
function formatNumber(input, precision, numberFormat) {
    var _a;
    if (precision === void 0) { precision = 2; }
    if (numberFormat === void 0) { numberFormat = common_1.NumberFormat.Dot; }
    var map = (_a = {},
        _a[common_1.NumberFormat.Dot] = function () {
            return accounting_1.default.formatNumber(input, precision, '.', ',');
        },
        _a[common_1.NumberFormat.Comma] = function () {
            return accounting_1.default.formatNumber(input, precision, ',', '.');
        },
        _a[common_1.NumberFormat.Space] = function () {
            return accounting_1.default.formatNumber(input, precision, ' ', ',');
        },
        _a[common_1.NumberFormat.Apostrophe] = function () {
            return accounting_1.default.formatNumber(input, precision, "'", '.');
        },
        _a);
    return map[numberFormat]();
}
exports.formatNumber = formatNumber;
//# sourceMappingURL=format-number.js.map