"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.calculateTime = void 0;
var time_parser_1 = require("../common/utils/time-parser");
var date_1 = require("./../common/utils/date");
var calculateTime = function (date, startInput, endInput, durationInput) {
    var startTime;
    var endTime;
    if (startInput) {
        startTime = new date_1.TcDate(date)
            .startOf('day')
            .add(new time_parser_1.TimeParser(startInput).parse().seconds, 'second');
    }
    if (endInput) {
        endTime = new date_1.TcDate(date)
            .startOf('day')
            .add(new time_parser_1.TimeParser(endInput).parse().seconds, 'second');
    }
    var duration = new time_parser_1.TimeParser(durationInput).parse().seconds;
    if (startTime && endTime) {
        var differenceInMinutes = endTime.diff(startTime.toDate(), 'minute');
        if (differenceInMinutes < 0) {
            differenceInMinutes = 24 * 60 + differenceInMinutes;
            endTime = endTime.add(1, 'day');
        }
        duration = differenceInMinutes * 60; // convert minutes to seconds
    }
    else if (duration && endTime) {
        startTime = endTime.subtract(duration, 'second');
    }
    else if (duration && startTime) {
        endTime = startTime.add(duration, 'second');
    }
    return {
        start: startTime ? startTime.toDate() : null,
        end: endTime ? endTime.toDate() : null,
        duration: duration ? duration : null,
    };
};
exports.calculateTime = calculateTime;
//# sourceMappingURL=calculate-time.js.map