"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.slugify = void 0;
var max_char_1 = require("./max-char");
function slugify(str, separator, max) {
    if (!str) {
        return '';
    }
    str = str.trim();
    str = str.toLowerCase();
    var from = 'åàáãäâèéëêìíïîòóöôùúüûñç·/_,:;';
    var to = 'aaaaaaeeeeiiiioooouuuunc------';
    for (var i = 0, l = from.length; i < l; i++) {
        str = str.replace(new RegExp(from.charAt(i), 'g'), to.charAt(i));
    }
    str = str
        .replace(/[^a-z0-9 -]/g, '')
        .replace(/\s+/g, '-')
        .replace(/-+/g, '-')
        .replace(/^-+/, '')
        .replace(/-+$/, '')
        .replace(/-/g, separator);
    return max_char_1.maxChar(str, max);
}
exports.slugify = slugify;
//# sourceMappingURL=slugify.js.map