"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ensureNoLeadingSlash = exports.ensureNoTrailingSlash = exports.ensureTrailingSlash = void 0;
var ensureTrailingSlash = function (path) {
    if (!path) {
        throw new Error('The provided path cannot be empty.');
    }
    if (path[path.length - 1] !== '/') {
        path += '/';
    }
    return path;
};
exports.ensureTrailingSlash = ensureTrailingSlash;
var ensureNoTrailingSlash = function (path) {
    if (!path) {
        throw new Error('The provided path cannot be empty.');
    }
    if (path[path.length - 1] === '/') {
        return path.slice(0, -1);
    }
    return path;
};
exports.ensureNoTrailingSlash = ensureNoTrailingSlash;
var ensureNoLeadingSlash = function (path) {
    if (!path) {
        throw new Error('The provided path cannot be empty.');
    }
    if (path[0] === '/') {
        return path.substring(1);
    }
    return path;
};
exports.ensureNoLeadingSlash = ensureNoLeadingSlash;
//# sourceMappingURL=uri.js.map