"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LocalStorageService = void 0;
var LocalStorageService = /** @class */ (function () {
    function LocalStorageService() {
        this.localStorageSupported =
            typeof window['localStorage'] != 'undefined' &&
                window['localStorage'] != null;
    }
    LocalStorageService.prototype.add = function (key, item) {
        if (!this.localStorageSupported) {
            return;
        }
        localStorage.setItem(key, item);
    };
    LocalStorageService.prototype.get = function (key) {
        if (!this.localStorageSupported) {
            return null;
        }
        return localStorage.getItem(key);
    };
    LocalStorageService.prototype.exists = function (key, value) {
        if (!this.localStorageSupported) {
            return false;
        }
        return localStorage.getItem(key) === value;
    };
    LocalStorageService.prototype.remove = function (key) {
        if (!this.localStorageSupported) {
            return;
        }
        localStorage.removeItem(key);
    };
    return LocalStorageService;
}());
exports.LocalStorageService = LocalStorageService;
//# sourceMappingURL=local-storage-service.js.map