import { NumberFormat } from '../../common';
import { formatCurrency } from '../format-currency';
describe('Format currency', function () {
    it('Renders the formated string version of the input currency amount', function () {
        var currency = 'USD';
        var amount = 100;
        var result = formatCurrency(amount, currency, NumberFormat.Comma);
        expect(result).toEqual('$100.00');
    });
    it('Renders the eur format if incorrect currency', function () {
        var currency = 'Baltus';
        var amount = 100;
        var result = formatCurrency(amount, currency, NumberFormat.Dot);
        expect(result).toEqual('€100,00');
    });
    it('Renders the eur format if no params', function () {
        var amount = 100;
        var result = formatCurrency(amount);
        expect(result).toEqual('€100,00');
    });
});
//# sourceMappingURL=format-currency.test.js.map