import { formatHoursAsHrsMinsSecs, formatMillisAsHrsMinsSecs, } from '../format-time';
describe('Format time', function () {
    it('converts hours to HH:mm', function () {
        var inputs = [
            { input: 12, expectedResult: '12:00' },
            { input: 12.5, expectedResult: '12:30' },
            { input: 40, expectedResult: '40:00' },
            { input: 44.5, expectedResult: '44:30' },
            { input: 0.8333333333333333, expectedResult: '00:50' },
        ];
        inputs.forEach(function (_a) {
            var input = _a.input, expectedResult = _a.expectedResult;
            return expect(formatHoursAsHrsMinsSecs(input)).toEqual(expectedResult);
        });
    });
    it('converts hours to HH:mm:ss', function () {
        var inputs = [
            { input: 12, expectedResult: '12:00:00' },
            { input: 12.5, expectedResult: '12:30:00' },
            { input: 40, expectedResult: '40:00:00' },
            { input: 44.5, expectedResult: '44:30:00' },
            { input: 0.8333333333333333, expectedResult: '00:49:59' },
        ];
        inputs.forEach(function (_a) {
            var input = _a.input, expectedResult = _a.expectedResult;
            return expect(formatHoursAsHrsMinsSecs(input, true)).toEqual(expectedResult);
        });
    });
    it('converts milliseconds to HH:mm:ss', function () {
        var inputs = [
            { input: 43200000, expectedResult: '12:00:00' },
            { input: 45000000, expectedResult: '12:30:00' },
            { input: 144000000, expectedResult: '40:00:00' },
            { input: 160200000, expectedResult: '44:30:00' },
        ];
        inputs.forEach(function (_a) {
            var input = _a.input, expectedResult = _a.expectedResult;
            return expect(formatMillisAsHrsMinsSecs(input, true)).toEqual(expectedResult);
        });
    });
});
//# sourceMappingURL=format-time.test.js.map