import { NumberFormat } from '../../common/models/types/number-format';
import { unformatCurrency } from '../unformat-currency';
describe('Unformat currency', function () {
    var testCases = [
        {
            input: '$100,00',
            expected: 100,
            numberFormat: NumberFormat.Dot,
        },
        {
            input: '$ 100,00',
            expected: 100,
            numberFormat: NumberFormat.Dot,
        },
        {
            input: '100,00$',
            expected: 100,
            numberFormat: NumberFormat.Dot,
        },
        {
            input: '100,00 $',
            expected: 100,
            numberFormat: NumberFormat.Dot,
        },
        {
            input: '100,00',
            expected: 100,
            numberFormat: NumberFormat.Dot,
        },
        {
            input: '$100.00',
            expected: 100,
            numberFormat: NumberFormat.Comma,
        },
        {
            input: '-$100.00',
            expected: -100,
            numberFormat: NumberFormat.Comma,
        },
    ];
    testCases.forEach(function (_a) {
        var input = _a.input, expected = _a.expected, numberFormat = _a.numberFormat;
        it("Renders the unformated number version of the input currency string: " + input, function () {
            var result = unformatCurrency(input, numberFormat);
            expect(result).toEqual(expected);
        });
    });
});
//# sourceMappingURL=unformat-currency.test.js.map