import { __assign } from "tslib";
import accounting from 'accounting';
import { getCurrencies } from '../common/constants/settings';
import { NumberFormat } from '../common/models/types/number-format';
var getSymbolFormatAndFractionSize = function (currency) {
    var currencies = getCurrencies();
    var currencyObject = currencies.find(function (x) { return x.id === currency; }) || {
        id: 'EUR',
        name: 'Euro',
        fractionSize: 2,
        symbol: {
            grapheme: '€',
            template: '$1',
            rtl: false,
        },
        uniqSymbol: {
            grapheme: '€',
            template: '$1',
            rtl: false,
        },
    };
    var symbol = currencyObject.symbol, fractionSize = currencyObject.fractionSize;
    if (symbol) {
        var grapheme = symbol.grapheme, template = symbol.template;
        var format = template.replace('$', '%s').replace('1', '%v');
        return { symbol: grapheme, format: format, fractionSize: fractionSize };
    }
    return { symbol: currencyObject.id, fractionSize: fractionSize };
};
export function formatCurrency(input, currency, numberFormat) {
    var _a;
    if (currency === void 0) { currency = 'EUR'; }
    if (numberFormat === void 0) { numberFormat = NumberFormat.Dot; }
    var result = getSymbolFormatAndFractionSize(currency);
    var map = (_a = {},
        _a[NumberFormat.Dot] = function () {
            return accounting.formatMoney(input, __assign(__assign({}, result), { decimal: ',', thousand: '.' }));
        },
        _a[NumberFormat.Comma] = function () {
            return accounting.formatMoney(input, __assign(__assign({}, result), { decimal: '.', thousand: ',' }));
        },
        _a[NumberFormat.Space] = function () {
            return accounting.formatMoney(input, __assign(__assign({}, result), { decimal: ',', thousand: ' ' }));
        },
        _a[NumberFormat.Apostrophe] = function () {
            return accounting.formatMoney(input, __assign(__assign({}, result), { decimal: ',', thousand: "'" }));
        },
        _a);
    return map[numberFormat]();
}
//# sourceMappingURL=format-currency.js.map