import { formatNumber } from './format-number';
import { NumberFormat } from '../common';
export function formatDistance(input, distance, symbol, precision, numberFormat) {
    if (symbol === void 0) { symbol = true; }
    if (precision === void 0) { precision = 2; }
    if (numberFormat === void 0) { numberFormat = NumberFormat.Dot; }
    var converted;
    if (distance === 'mi') {
        converted = input * 0.000621371192;
    }
    else {
        converted = input / 1000;
    }
    var formatted = formatNumber(converted, precision, numberFormat);
    if (!symbol) {
        return formatted;
    }
    return distance === 'km' ? formatted + " KM" : formatted + " mi";
}
//# sourceMappingURL=format-distance.js.map