import accounting from 'accounting';
import { NumberFormat } from '../common';
export function formatNumber(input, precision, numberFormat) {
    var _a;
    if (precision === void 0) { precision = 2; }
    if (numberFormat === void 0) { numberFormat = NumberFormat.Dot; }
    var map = (_a = {},
        _a[NumberFormat.Dot] = function () {
            return accounting.formatNumber(input, precision, '.', ',');
        },
        _a[NumberFormat.Comma] = function () {
            return accounting.formatNumber(input, precision, ',', '.');
        },
        _a[NumberFormat.Space] = function () {
            return accounting.formatNumber(input, precision, ' ', ',');
        },
        _a[NumberFormat.Apostrophe] = function () {
            return accounting.formatNumber(input, precision, "'", '.');
        },
        _a);
    return map[numberFormat]();
}
//# sourceMappingURL=format-number.js.map