import { maxChar } from './max-char';
export function slugify(str, separator, max) {
    if (!str) {
        return '';
    }
    str = str.trim();
    str = str.toLowerCase();
    var from = 'åàáãäâèéëêìíïîòóöôùúüûñç·/_,:;';
    var to = 'aaaaaaeeeeiiiioooouuuunc------';
    for (var i = 0, l = from.length; i < l; i++) {
        str = str.replace(new RegExp(from.charAt(i), 'g'), to.charAt(i));
    }
    str = str
        .replace(/[^a-z0-9 -]/g, '')
        .replace(/\s+/g, '-')
        .replace(/-+/g, '-')
        .replace(/^-+/, '')
        .replace(/-+$/, '')
        .replace(/-/g, separator);
    return maxChar(str, max);
}
//# sourceMappingURL=slugify.js.map